> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/game-hosting/elements/patchjob/patchjobapplicationbuild.md).

# Patchjobapplicationbuild

The PatchJobApplicationBuild element describes an old ApplicationBuild ID and a new one to replace the old with.

This element is one of the [PatchJob](/game-hosting/elements/patchjob.md) properties that define the selection of ApplicationInstances to patch. Additionally it defines which new ApplicationBuild to deploy over the olde one.

The other PatchJob properties that create the selection of ApplicationInstances are:

* DeploymentEnvironment ID (`PatchJob.deploymentEnvironmentId` property)
* Application ID (`PatchJob.applicationId` property)
* One or more Fleet IDs (`PatchJob.fleet` property)

## Element structure

| Property              | Value type | Required  | Description                                           |
| --------------------- | ---------- | --------- | ----------------------------------------------------- |
| id                    | string     | Read-only | Unique identifier of this element                     |
| oldApplicationBuildId | string     | Yes       | The ApplicationBuild ID to replace                    |
| newApplicationBuildId | string     | Yes       | The ApplicationBuild ID that will replace the old one |

Table 1: PatchJobApplicationBuild element structure

## API example

This element is not created individually, but is included in, and created with the [PatchJob](/game-hosting/elements/patchjob.md) element.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/game-hosting/elements/patchjob/patchjobapplicationbuild.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
